> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List installed integrations and their status

> 
            Returns every installed integration configuration with the result of its most recent
            connection check. Serves stored results only and never contacts the third-party service.
            The timestamp is when the connection was last checked, not when data was last synced.
        



## OpenAPI

````yaml /openapi/cortex_swagger.json get /api/v1/integrations/status
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: Integrations
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/integrations/status:
    get:
      tags:
        - Integration Status
      summary: List installed integrations and their status
      description: |2-

                    Returns every installed integration configuration with the result of its most recent
                    connection check. Serves stored results only and never contacts the third-party service.
                    The timestamp is when the connection was last checked, not when data was last synced.
                
      operationId: listIntegrationStatuses
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationStatusesResponse'
          description: Successfully listed integration statuses
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    IntegrationStatusesResponse:
      required:
        - integrations
      type: object
      properties:
        integrations:
          type: array
          description: Installed integration configurations, one entry per alias
          items:
            $ref: '#/components/schemas/IntegrationStatus'
    IntegrationStatus:
      required:
        - categories
        - integrationType
        - validation
      type: object
      properties:
        alias:
          type: string
          description: >-
            Configuration alias; null for integrations that support a single
            configuration
        categories:
          type: array
          description: Categories this configuration is used for
          items:
            type: string
            description: Categories this configuration is used for
            enum:
              - AI
              - CI_CD
              - CLOUD_INFRASTRUCTURE
              - CODE_QUALITY
              - COMMUNICATION
              - ERROR_TRACKING
              - FEATURE_MANAGEMENT
              - INCIDENT_MANAGEMENT
              - OBSERVABILITY
              - ON_CALL
              - PROJECT_MANAGEMENT
              - SECURITY
              - TEAMS
              - VERSION_CONTROL
              - ITSM
        integrationType:
          type: string
          description: Integration type
          enum:
            - AITools
            - ActiveDirectory
            - Apiiro
            - ArgoCD
            - APM
            - AWS
            - AzureDevops
            - AzureResources
            - BambooHR
            - Bitbucket
            - Bugsnag
            - Buildkite
            - Checkmarx
            - Clickup
            - CircleCi
            - Codecov
            - Coralogix
            - Datadog
            - Dynatrace
            - ECS
            - Firehydrant
            - Forge
            - Git
            - GitHub
            - GitLab
            - Google
            - Harness
            - IncidentIo
            - IncidentResponse
            - Instana
            - Internal
            - Jenkins
            - Jira
            - K8s
            - LaunchDarkly
            - Lightstep
            - Mend
            - MendSca
            - MicrosoftTeams
            - NewRelic
            - Oncall
            - Okta
            - Opsgenie
            - OwnershipProvider
            - Pagerduty
            - Prometheus
            - Rappi
            - Rollbar
            - Rootly
            - Security
            - ServiceNow
            - Sentry
            - Semgrep
            - SignalFX
            - Slack
            - SLO
            - Snyk
            - Sonarqube
            - SumoLogic
            - Veracode
            - Victorops
            - Workday
            - Wiz
            - XMatters
            - Anthropic
        validation:
          $ref: '#/components/schemas/IntegrationValidation'
      description: Installed integration configurations, one entry per alias
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
    IntegrationValidation:
      required:
        - status
      type: object
      properties:
        lastValidatedAt:
          type: string
          description: >-
            When the connection was last checked, as a UTC ISO-8601 instant.
            This is not a data sync time. Null if the connection has never been
            checked
          format: date-time
          example: '2026-10-01T08:00:00Z'
        message:
          type: string
          description: >-
            Detail from the most recent connection check, usually the failure,
            truncated to 500 characters. Unsanitized vendor error text, so only
            returned to callers with the Manage Integrations permission; null
            for everyone else
        status:
          type: string
          description: >-
            VALID or INVALID from a connection check in the last 3 days; UNKNOWN
            when the integration has no connection check or the last one is
            older than that
          enum:
            - VALID
            - INVALID
            - UNKNOWN
      description: Result of the most recent connection check
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [Configuring identity mappings](/configure/settings/managing-users/identity-mapping.md)
- [List users](/api/rest/users/list-users.md)
- [Wiz](/ingesting-data-into-cortex/integrations/wiz.md)
